<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/function.php';

$id = ( int ) $_GET['id'];
$text = check_text( iconv( 'windows-1251', 'UTF-8', $_GET['erol'] ) );

$existence_check_ref = mysql_query( "SELECT * FROM user WHERE id = '".$id."' AND referer = '".$_SESSION['iduser']."' LIMIT 1" );
$existence_check_ref_row = mysql_fetch_array( $existence_check_ref );

?>
  <div class="modal fade bd-example-modal-lg" id="modalf">
	  <div class="modal-dialog " role="document">
		<div class="modal-content" style="width: 500px; margin-left: 48px;">
		  <div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
			<h4 class="modal-title">Разбудить реферала <?=$existence_check_ref_row['username']?></h4>
		  </div>
		  <div class="modal-body"><!--Содержимое модального окна начало-->
		    <div class="form-group">
			  <div class="">
			    Ваши рефералы давно не заходили? Разбуди! Мы не гарантируем что реферал вернется на проект, но мы дадим ему знать (отправим извещение на указанный при регистрации имейл), что он давно не заходил в свой аккаунт. Стоимость услуги 0.05 руб.
			    </br>
				<? if($text != '') { ?>
				  </br><div class="alert alert-info"><i class="fa fa-info-circle" aria-hidden="true"></i> <?=$text?></div>
				<? } ?>
			  </div>
		    </div>
		    <div class="error_modal_mini" > </div>
		    <p style="display: none;" id="success_text"><span class="glyphicon glyphicon-info-sign"></span> В скором времени реферал <?=$existence_check_ref_row['username']?>, получит извещение! &hellip;</p>
		  </div><!--Содержимое модального окна конец-->
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
			<button type="button" class="btn btn-primary" id="send_walls_gift" onclick="wakesend();">Разбудить </button>
		  </div>
		</div>
	  </div>
  </div>
  
  <script type="text/javascript">
	$(document).ready(function(){
		var options = {
			show : true
		}
		$('#modalf').modal(options);
	});

	function wakesend() {
		$.post('ajax.php?func=wakesend',{
			id : <?=$id?>
		}, function(data){
			if (data == 1){
				$(".form-group").fadeOut(300);
				$("#send_walls_gift").fadeOut(300);
				$("#success_text").fadeIn(800);
			} else {
				$('.error_modal_mini').fadeIn().html(data);
				setTimeout(function() {
					$('.error_modal_mini').fadeOut().html('&nbsp;');
				}, 4000);
			}
		});
		return false;
	}

	

  </script>